// Copyright 1997 Ubilab, Union Bank of Switzerland. All rights reserved.
// This is part of the Geo system developed by Ubilab's DistrOOSE group.
// Check out: http://www.ubs.com/ubilab/Projects/se/se.html. GLAB-REH-97.

package Geo.Framework.AnyImpl;

import Geo.Framework.Any.AnyContext;
import Geo.Framework.Any.AnySymbolTable;



public class AnyContextImpl implements AnyContext {

	// instance variables

	protected AnySymbolTable symbolTable;


	// constructors
	
	public AnyContextImpl() {
		this(new AnySymbolTableImpl());
	}
	
	public AnyContextImpl(AnySymbolTable symbolTable) {
		this.symbolTable = symbolTable;
	}
	
	
	// accessing
	
	public AnySymbolTable getSymbolTable() {
		return symbolTable;
	}
	
}
