// Copyright 1997 Ubilab, Union Bank of Switzerland. All rights reserved.
// This is part of the Geo system developed by Ubilab's DistrOOSE group.
// Check out: http://www.ubs.com/ubilab/Projects/se/se.html. GLAB-REH-97.

package Geo.Framework.AnyImpl;

import java.util.Vector;
import Geo.Framework.Any.Any;
import Geo.Framework.Any.AnyString;



class AnyFrameDummyHandle extends AnyDummyHandle {

	// instance variables
	
	protected AnyString contextSlotName;


	// constructors
	
	protected AnyFrameDummyHandle(Any context, AnyString contextSlotName, int index) {
		super(context,index);
		this.contextSlotName = contextSlotName;
	}
	
	
	// dummy replacement

	protected void replaceDummy(Vector buffer) {
		context.asAnyFrame().setSlot(contextSlotName, (Any) buffer.elementAt(index));
	}
	
}
