// Copyright 1997 Ubilab, Union Bank of Switzerland. All rights reserved.
// This is part of the Geo system developed by Ubilab's DistrOOSE group.
// Check out: http://www.ubs.com/ubilab/Projects/se/se.html. GLAB-REH-97.

package Geo.Framework.AnyImpl;

import Geo.Framework.Any.AnyFrameDescriptor;



public class AnyFrameSlotException extends RuntimeException {

	// instance variables
	
	public String slotName;
	public AnyFrameDescriptor frameDescriptor;

	
	// constructors
	
	public AnyFrameSlotException(String s) {
		super(s);
	}
	
	public AnyFrameSlotException(String slotName, AnyFrameDescriptor frameDescriptor) {
		super("Slot \"" + slotName + "\" not found in frame descriptor");
		this.slotName = slotName;
		this.frameDescriptor = frameDescriptor;
	}
	
}
