// Copyright 1997 Ubilab, Union Bank of Switzerland. All rights reserved.
// This is part of the Geo system developed by Ubilab's DistrOOSE group.
// Check out: http://www.ubs.com/ubilab/Projects/se/se.html. GLAB-REH-97.

package Geo.Framework.AnyImpl;

import Geo.Framework.Any.Any;



public class AnyNull extends AnyImpl {

	// class variables
	
	protected static AnyNull nullObject;
	
	
	// static initialization
	
	static {
		nullObject = new AnyNull(); 
	}
	

	// comparing

	public boolean isEqual(Any anAny) {
		return this == anAny || anAny == null;
	}

	public int hashCode() {
		return 0;
	}
	
	// copying

	public Any shallowCopy() {
		return this;
	}
	
	public Any deepCopy() {
		return this;
	}


	// testing
	
	public boolean isValueType() {
		return true;
	}

	
	// printing
	
	public String toString() {
		return "NULL";
	}

}
